gdal_polygonize(1)

NAME
gdal_polygonize - gdal_polygonize.py produces a polygon feature layer from a raster

SYNOPSIS

gdal_polygonize.py [-8] [-nomask] [-mask filename] raster_file [-b band]
                [-q] [-f ogr_format] out_file [layer] [fieldname]

DESCRIPTION

This utility creates vector polygons for all connected regions of pixels in the raster sharing a common pixel value. Each polygon is created with an attribute indicating the pixel value of that polygon. A raster mask may also be provided to determine which pixels are eligible for processing.

The utility will create the output vector datasource if it does not already exist, defaulting to GML format.

The utility is based on the GDALPolygonize() function which has additional details on the algorithm.

-8: (GDAL >= 1.10) Use 8 connectedness. Default is 4 connectedness.

-nomask:
    Do not use the default validity mask for the input band (such as nodata, or alpha masks).

-mask filename:
    Use the first band of the specified file as a validity mask (zero is invalid, non-zero is valid).

raster_file
    The source raster file from which polygons are derived.

-b band:
    The band on raster_file to build the polygons from.

-f ogr_format
    Select the output format of the file to be created. Default is GML.

out_file
    The destination vector file to which the polygons will be written.

layer
    The name of the layer created to hold the polygon features.

fieldname
    The name of the field to create (defaults to 'DN').

-q: The script runs in quiet mode. The progress monitor is supressed and routine messages are not displayed.

AUTHORS

Frank Warmerdam warmerdam@pobox.com